import { ConnectedSocket, MessageBody, SubscribeMessage, WebSocketGateway, WebSocketServer } from '@nestjs/websockets';
import { Server } from 'socket.io';
import { Socket } from 'dgram';

@WebSocketGateway()
export class EventsGateway {
    @WebSocketServer()
    server: Server;


    @SubscribeMessage('start')
    handleStart(
        @MessageBody() data: string,
        @ConnectedSocket() client: Socket,
    ): void {
        const message = JSON.parse(data);
    }
}